#pragma once

#include "DialogTrendChart.h"
#include "DialogAlmSearch.h"
#include "DialogDataRec.h"
#include "DialogNIBPRec.h"
#include "DialogSysRec.h"


// CDialogRec 对话框

class CDialogRec : public CDialogEx
{
	DECLARE_DYNAMIC(CDialogRec)

public:
	CDialogRec(CWnd* pParent = NULL);   // 标准构造函数
	virtual ~CDialogRec();
	virtual BOOL OnInitDialog();
	afx_msg void OnDestroy();
	CDialogTrendChart m_CDialogTrendChart;
// 对话框数据
	enum { IDD = IDD_DIALOG_REC };

protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV 支持

	DECLARE_MESSAGE_MAP()
public:
	CDialogAlmSearch m_CDialogAlmSearch;
	CDialogDataRec m_CDialogDataRec;
	CDialogNIBPRec m_CDialogNIBPRec;
	CDialogSysRec m_CDialogSysRec;
	afx_msg void OnBnClickedButtonRecTrendChart();
	afx_msg void OnBnClickedOk();
	afx_msg void OnBnClickedButtonRecAlmRec();
	afx_msg void OnBnClickedButtonRecDataRec();
	afx_msg void OnBnClickedButtonRecNibpRec();
	afx_msg void OnBnClickedButtonRecSysRec2();
};
